Name:           kpowersave
Version:        0.7.3
Release:        3%{?dist}
Summary:        KPowersave is the KDE frontend for powermanagement

Group:          Applications/System
License:        GPLv2
URL:            http://powersave.sourceforge.net/
Source0:        http://dl.sf.net/powersave/kpowersave-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Patch0:         kpowersave-0.7.3-pidof.patch
Patch1:         kpowersave-0.7.3-dcop-unmount.patch

BuildRequires:  kdelibs-devel
BuildRequires:	gettext
BuildRequires:	dbus-qt-devel
BuildRequires:  automake
BuildRequires:  libXext-devel libXScrnSaver-devel libXtst-devel
BuildRequires:  hal-devel desktop-file-utils

%description
KPowersave is the KDE frontend for powermanagement. 
It provides battery monitoring, suspend/ standby 
triggers and many more features for KDE (and GNOME). 

%prep
%setup -q 
%patch0 -p1 -b .pidof
%patch1 -p1 -b .dcop

# redo auto* foo to get rid of goofy unsermake dep
make -f admin/Makefile.common


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

%configure \
  --disable-rpath \
  --enable-new-ldflags \
  --disable-debug --disable-warnings \
  --disable-dependency-tracking 

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install \
--dir $RPM_BUILD_ROOT%{_datadir}/applications/kde \
--vendor="" \
--add-only-show-in=KDE \
$RPM_BUILD_ROOT%{_datadir}/applications/kde/kpowersave.desktop

## File lists
# locale's
%find_lang %{name} || touch %{name}.lang
# HTML
HTML_DIR=$(kde-config --expandvars --install html)
if [ -d $RPM_BUILD_ROOT$HTML_DIR ]; then
for lang_dir in $RPM_BUILD_ROOT$HTML_DIR/* ; do
   lang=$(basename $lang_dir)
   echo "%lang($lang) %doc $HTML_DIR/$lang/*" >> %{name}.lang
done
fi


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc ChangeLog COPYING NEWS
%{_bindir}/kpowersave
%{_libdir}/kde3/kpowersave.*
%{_libdir}/libkdeinit_kpowersave.*
%{_datadir}/applications/kde/*kpowersave.desktop
%{_datadir}/apps/kpowersave/
%{_datadir}/autostart/kpowersave-autostart.desktop
%{_datadir}/config/kpowersaverc
%{_datadir}/icons/hicolor/*/*/*


%changelog
* Wed Feb 06 2008 Dennis Gilmore <dennis@ausil.us> - 0.7.3-3
- apply patch for bugzilla #245293 #426666

* Sun Dec 09 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 0.7.3-2
- BR: kdelibs3-devel

* Mon Oct 05 2007 Dennis Gilmore <dennis@ausil.us> - 0.7.3-1
- update to 0.7.3 final

* Tue Aug 28 2007 Dennis Gilmore <dennis@ausil.us> - 0.7.3-0.2.svn20070828
- add OnlyShowIn=KDE 

* Tue Aug 28 2007 Dennis Gilmore <dennis@ausil.us> - 0.7.3-0.1.svn20070828
- update to svn snapshot for bug# 243562 
- clarify license GPLv2

* Mon Feb 26 2007 Dennis Gilmore <dennis@ausil.us> - 0.7.2-1
- Update to 0.7.2

* Fri Feb 02 2007 Dennis Gilmore <dennis@ausil.us> - 0.7.1-2
- Fix BuildRequires and use http url for source

* Thu Jan 25 2007 Dennis Gilmore <dennis@ausil.us> - 0.7.1-1
- Initial Fedora Packaging
